/* Definitionen berall bentigter Datentypen */

#ifndef _STDTYPES_INCLUDED
#define _STDTYPES_INCLUDED

/* Daten-Typen */

#define  integer   short int
#define  word      unsigned short int
#define  byte      unsigned char
#define  dword     unsigned long
#define  cardinal  unsigned long
#define  bool      unsigned char

#define  BOOL      unsigned char
#define  BYTE      unsigned char
#define  WORD      unsigned short int
#define  WCHAR     unsigned short int
#define  UINT      unsigned short int
#define  DWORD     unsigned long
#define  ULONG     unsigned long

#define  TRUE      1
#define  FALSE     0


/* Mist, den ich mir sowieso nicht merken kann */
#define     MOD   %
#define     XOR   ^
#define     NOT   ~
#define     AND   &
#define     OR    |



#define POINT struct TPoint
struct TPoint
{ integer X, Y; };


#define RECT  struct TRect
struct TRect
{ integer  left,
           top,
	   right,
	   bottom;
};


#define DATUM struct datumstruct
struct datumstruct
{ byte sekunde;
  byte minute;
  byte stunde;
  byte tag;
  byte monat;
  word jahr;
};


/* Symbole fr Stream-Verteiler (hier eigentlich fast berflssig) */
#define  toLCD      1        /* fr Alpha-LCD                */
#define  toV24      2        /* fr serielle Ausgabe per V24 */
#define  toUSB      4        /* fr serielle Ausgabe per USB */
#define  toPRN      8        /* fr Alpha-Druckerausgabe     */
#define  toGPRN    16        /* fr Grafik-Druckerausgabe    */
#define  toMGLCD   32        /* fr Mono-GLCD im Alpha-Modus */
#define  toMGRAF   64        /* fr Mono-GLCD im Grafik-Modus*/
#define  toCGLCD  128        /* fr Color-GLCD */
#define  toBUF    256        /* Ausgabe in Puffer */


/* ID's fr diverse Ereignisse (Tasten u.a.) */
/* Bereich fr Tasten:           1001..1999  */
/* Bereich fr andere Hardware   2001..2999  */
/* Bereich fr Software          3001..3999  */

#define  tastMin  1001
#define  tastMax  1999

#define  idRechtsTaste   1001
#define  idRunterTaste   1002
#define  idEnterTaste    1003
#define  idRaufTaste     1004
#define  idLinksTaste    1005

#define  hardMin   2001
#define  hardMax   2999
#define  idKblTempAktu   2001
#define  idUhrzeitAktu   2002
#define  idMesswertAktu  2003

#define  softMin   3001
#define  softMax   3999

#define  idMenuInit      3001
#define  idMenuRedraw    3002
#define  idDiagrammInit  3003
#define  idDiagrammMode0 3004
#define  idDiagrammMode1 3005
#define  idDiagrammMode2 3006

#endif






